Package com.google.javascript.jscomp.parsing

# Class NullErrorReporter

java.lang.Object
com.google.javascript.jscomp.parsing.NullErrorReporter

public abstract class NullErrorReporter extends Object
An error reporter which consumes all calls and performs no actions.

## Method Summary

Modifier and Type
Method
Description
`void`
`error(String message, String sourceName, int line, int lineOffset)`
`static com.google.javascript.rhino.head.ErrorReporter`
`forNewRhino()`
`static ErrorReporter`
`forOldRhino()`
`void`
`warning(String message, String sourceName, int line, int lineOffset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### error

public void error(String message, String sourceName, int line, int lineOffset)

### warning

public void warning(String message, String sourceName, int line, int lineOffset)

### forOldRhino

public static ErrorReporter forOldRhino()

### forNewRhino

public static com.google.javascript.rhino.head.ErrorReporter forNewRhino()